Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class RowFilterKey

    java.lang.Object
      |
      +--oracle.jbo.server.RowFilterKey

public class RowFilterKey
extends java.lang.Object
implements RowFilter

Constructor Summary
`RowFilterKey(ViewObjectImpl vo)`
`RowFilterKey(ViewObjectImpl vo, java.lang.Object[] values)`

Method Summary
`boolean` | `equals(java.lang.Object val)`
`Key` | `getKey()`
`int` | `getParamLength()` Returns the number of elements in the array of parameters that make up the row filter.
`java.lang.Object[]` | `getParamValues()` Returns the array of parameter values that make up the row filter.
`int` | `getRowInitLength()` Returns the number of elements in the array of row init values.
`java.lang.Object[]` | `getRowInitValues()` Returns the array of row init values.
`ViewObjectImpl` | `getViewObjectImpl()` Retrieves the view object association with the row filter.
`int` | `hashCode()`
`boolean` | `isNull()` Indicates whether this row filter represents a null filter or not.
`boolean` | `paramQualifies(java.lang.Object[] values)` Returns a flag indicating whether `values` is qualified by this row filter or not.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowFilterKey

    public RowFilterKey(ViewObjectImpl vo,
                        java.lang.Object[] values)

### RowFilterKey

    public RowFilterKey(ViewObjectImpl vo)

Method Detail

### getKey

    public Key getKey()

### isNull

    public boolean isNull()

  Description copied from interface: RowFilter
  Indicates whether this row filter represents a null filter or not.
  Specified by:
    isNull in interface RowFilter
  Tags copied from interface: RowFilter
  Returns:
    flag indicating whether the row filter represents a null filter or not.

### getViewObjectImpl

    public ViewObjectImpl getViewObjectImpl()

  Description copied from interface: RowFilter
  Retrieves the view object association with the row filter.
  Specified by:
    getViewObjectImpl in interface RowFilter
  Tags copied from interface: RowFilter
  Returns:
    the view object.

### getParamLength

    public int getParamLength()

  Description copied from interface: RowFilter
  Returns the number of elements in the array of parameters that make up the row filter.
  Specified by:
    getParamLength in interface RowFilter
  Tags copied from interface: RowFilter
  Returns:
    the number of elements.

### getParamValues

    public java.lang.Object[] getParamValues()

  Description copied from interface: RowFilter
  Returns the array of parameter values that make up the row filter.
  Specified by:
    getParamValues in interface RowFilter
  Tags copied from interface: RowFilter
  Returns:
    the parameter array.

### paramQualifies

    public boolean paramQualifies(java.lang.Object[] values)

  Description copied from interface: RowFilter
  Returns a flag indicating whether `values` is qualified by this row filter or not.
  Specified by:
    paramQualifies in interface RowFilter
  Tags copied from interface: RowFilter
  Parameters:
    `values` - values to examine for qualification.
  Returns:
    a flag indicating whether it passes or not.

### getRowInitLength

    public int getRowInitLength()

  Description copied from interface: RowFilter
  Returns the number of elements in the array of row init values.
  Specified by:
    getRowInitLength in interface RowFilter
  Tags copied from interface: RowFilter
  Returns:
    the number of elements.

### getRowInitValues

    public java.lang.Object[] getRowInitValues()

  Description copied from interface: RowFilter
  Returns the array of row init values.
  Specified by:
    getRowInitValues in interface RowFilter
  Tags copied from interface: RowFilter
  Returns:
    the row init value array.

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object val)

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD